﻿@model PasswordResetInputModel

<div class="login-page">
	<partial name="_ValidationSummary" />

	<div class="row">

		<div class="form">
			<div class="form-toggle"></div>
			<div class="form-panel one">
				@if (Model.RecoveryAttempt != null)
				{
					<form asp-route="PasswordReset">
						<input type="hidden" asp-for="RecoveryAttemptId" />

						<div class="form-group">
							<h5>Please enter your new password</h5>
						</div>
						<div class="form-group">
							<label asp-for="Password"></label>
							<input type="password" class="form-control" placeholder="Password" asp-for="Password" autocomplete="off">
						</div>
						<div class="form-group">
							<label asp-for="ConfirmPassword">Confirm Password</label>
							<input type="password" class="form-control" placeholder="Confirm Password" asp-for="ConfirmPassword" autocomplete="off">
						</div>
						<div class="form-group"><button class="btn btn-primary" name="button" value="reset">Reset</button></div>
						<div class="form-content">
							<div class="form-group">
								<br>
								<a href="~/Account/Signup?ReturnUrl=%2FAccount%2FLogin" name="button">
									Create new account
								</a>
								<a href="~/Account/Login" name="button">
									Log In
								</a>
							</div>
						</div>
					</form>
				}
				else
				{
					<div class="form-header">
						<h5>This password recovery link has expired</h5>
					</div>
					<div class="form-content">
						<div class="form-group">
							<br>
							<a class="form-recovery" href="~/Account/RecoverPassword?ReturnUrl=%2FAccount%2FLogin">
								Get new link
							</a>
							<a href="~/Account/Signup?ReturnUrl=%2FAccount%2FLogin" name="button">
								Create new account
							</a>
							<a href="~/Account/Login" name="button">
								Log In
							</a>
						</div>
					</div>
				}
			</div>
		</div>
	</div>
</div>